最新消息:

DirectAdmin(DA)安装Capri皮肤

教程 站长 147浏览 0评论

不少朋友的DirectAdmin(DA)面板都使用Capri皮肤,这是一款商业模板,需要支付费用使用。中国人民的智慧是无穷的,在某些方面,他得到了完美的体现,比如PJ。赵容不赞同在国外服务器安装PJ版本的程序,因为它可能带来一定的风险,但是,本着分享的精神,这里做个简单的安装介绍。

其实,Capri皮肤的安装非常简单,脚本是高人改好的,我们只需要复制、粘贴、回车,就Ok了。

首先,root用户登陆服务器,下载脚本

wget http://www.zrblog.net/sh/capri.sh

然后,运行脚本

sh capri.sh

安装过程开始,正式安装前有几个选项:

1)Please choose a skin name or enter to use default[capri]

#请输入皮肤的名称,默认为capri,保持默认即可
2)Please choose a color set(1:blue,2:grey)[1]:1
#请选择皮肤的颜色,1为蓝色,2为灰色,默认1

3)Would you like to install the login page skin?(y/n)[y]

#要不要安装登陆页面皮肤,默认yes
4)Capri skin also have a email-only version for users who have a email services.Would you like to install a secondemail-only sky(will be called Capri-mail)?

#要不要安装Capri邮件系统皮肤,默认no

以上的选项,全部保持默认即可!

安装完成后,登陆DA面板,切换为Capri皮肤,在右上角选择语言为“cn”。

capri

【疑难杂症】有一些朋友安装后发现,启用Capri皮肤后界面空白,这是由于系统没有安装zend或者zend不兼容导致的。解决方法,如果没有安装zend的,就安装zend;如果已安装不兼容的,就升级zend。升级过程如下:

1、下载文件
wget http://downloads.zend.com/optimizer/3.3.9/ZendOptimizer-3.3.9-linux-glibc23-i386.tar.gz
2、解压
tar zxvf ZendOptimizer-3.3.9-linux-glibc23-i386.tar.gz
3、选择与PHP对应版本的ZendOptimizer.so文件
cd ZendOptimizer-3.3.9-linux-glibc23-i386
例如:我的PHP版本为php5.2,我的apache的模块通过yum安装在/usr/lib/httpd/modules/
则:cp ./data/5_2_x_comp/ZendOptimizer.so /usr/local/Zend/lib/
4、配置文件
修改/etc/php.ini、/etc/ispcp/fcgi/parts/php5/php.ini、/var/www/fcgi/domain.ltd/php5/php.ini和/var/www/fcgi/master/php5/php.ini
在其末尾添加如下内容:
[zend]
zend_optimizer.optimization_level=15
zend_extension=”/usr/lib/httpd/modules/ZendOptimizer.so”

转载请注明:3号VPS » DirectAdmin(DA)安装Capri皮肤

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址